{
  "name": "@komponent/unifi-protect-lib",
  "version": "0.11.6",
  "description": "Node library for connecting to Ubiquiti Unifi Protect controllers and listen for events",
  "main": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "files": [
    "dist"
  ],
  "scripts": {
    "type-check": "tsc --noEmit",
    "type-check:watch": "npm run type-check -- --watch",
    "dist": "NODE_ENV=production npm run build",
    "copy-types": "cp src/types/*.d.ts dist/types",
    "build": "tsc && npm run copy-types"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/komponent/public/unifi-protect-lib.git"
  },
  "keywords": [
    "ubiquiti",
    "unifi",
    "protect",
    "events"
  ],
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/komponent/public/unifi-protect-lib/issues"
  },
  "homepage": "https://gitlab.com/komponent/public/unifi-protect-lib#readme",
  "dependencies": {
    "axios": "^0.21.4",
    "cookie": "^0.4.1",
    "form-data": "^4.0.0",
    "https": "^1.0.0",
    "jwt-decode": "^3.1.2",
    "ws": "^8.2.2",
    "zlib": "^1.0.5"
  },
  "devDependencies": {
    "@types/cookie": "^0.4.1",
    "@types/node": "^16.9.4",
    "@types/ws": "^7.4.7",
    "ts-node": "^10.2.1",
    "typescript": "^4.4.3"
  }
}
